<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:sec="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE-edge"/>
    <meta name="viewport" content="width=device-width, initial -scale =1"/>
    <meta name="description" content=""/>
    <meta name="author" content=""/>
    <title>Web Cart - All Products</title>
    <link rel="shortcut icon" type="image/png" th:href="@{/images/favicon.png}"/>
    <link rel="stylesheet"
          th:href="@{http://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css}"/>

    <link rel="stylesheet" type="text/css"
          href="../static/css/bootstrap.min.css"
          th:href="@{/css/bootstrap.min.css}"/>
    <link rel="stylesheet" type="text/css" href="../static/css/style.css"
          th:href="@{/css/style.css}"/>
    <link rel="stylesheet" type="text/css"
          href="../static/css/footer-distributed-with-address-and-phones.css"
          th:href="@{/css/footer-distributed-with-address-and-phones.css}"/>
    <script
            src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.0/jquery.min.js"></script>
    <script
            src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

    <script type="text/javascript" charset="utf8"
            th:src="@{/DataTables-1.10.15/media/js/jquery.dataTables.js}"></script>
    <link rel="stylesheet" type="text/css" th:href="@{/DataTables-1.10.15/media/css/jquery.dataTables.css}">
    <script>
        $(function () {
            $("#myTable1").dataTable();
        })
    </script>



    <script type="text/javascript">
        function buyProduct(currentId) {
            document.getElementById('buyProduct').setAttribute('value',
                currentId);
        }
    </script>

    <script type="text/javascript">
        $(document).on("click", ".deassignRespCard", function (e) {

            e.preventDefault();

            var _self = $(this);

            var myRespId = _self.data('id');

            $("#responsibilityCardIdDeassign").val(myRespId);

            $(_self.attr('href')).modal('show');
        });
    </script>



    <script>
        function deleteResponsibilityCard(responsibilityCardId) {
            var xhttp;
            xhttp = new XMLHttpRequest();
            xhttp.open("GET", "/remove-responsibility-card?id="
                + responsibilityCardId, true);
            xhttp.send();

            location.reload();
        }
    </script>

    <script>
        $(document).ready(function () {
            $('input[type=file]').change(function () {
                var val = $(this).val().toLowerCase();
                var regex = new RegExp("(.*?)\.(png)$");
                if (!(regex.test(val))) {
                    $(this).val('');
                    alert('Please select correct file format');
                }
            });
        });
    </script>


</head>

<body>
<div th:include="header :: headster"></div>


<div class="total_progress  ">
    <div class="column-lg-8">
        <div class="panel panel-primary">
            <div class="panel-heading" style="margin-bottom: 10px;">
                <h3 class="panel-title">
                    <i class="fa fa-money fa-fw"></i>All products
                    <!--              <a class="btn1 icon-btn btn-success" href="#"> -->
                    <!--                <span class="glyphicon btn-glyphicon glyphicon-plus img-circle text-success"></span> -->
                    <!--                  Add -->
                    <!--              </a> -->
                    <button type="button"
                            class="btn1 icon-btn btn-success glyphicon btn-glyphicon glyphicon-plus  text-success"
                            data-toggle="modal" data-target="#Add">Add
                    </button>
                </h3>

            </div>
            <div class="panel-body">
                <div class="table-responsive">
                    <table id="myTable1" class="table table-bordered table-hover table-striped">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>Product</th>
                            <th>Product name</th>
                            <th>Product price</th>
                            <th>Product description</th>
                            <th>Buy</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="product : ${allProducts}" th:id="'row' + ${product.id}">
                            <td th:id="'id-'" th:text="${product.id}"></td>
                            <td style="text-align: center;"><img class="respCardImage" th:src="${product.imagePath}"/></td>
                            <td
                                    th:text="${product.name}"></td>

                            <td
                                    th:text="${ $ + product.price}"></td>

                            <td
                                    th:text="${product.description}"></td>

                            <td style="padding-top: 4%; padding-left: 3%;"><a style="cursor: pointer;"
                                                                              th:onclick="'javascript:buyProduct(\'' + ${product.id} +'\');'">
                                <span class="glyphicon glyphicon-star"></span>
                            </a></td>


                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>


<!-- Add form -->
<div class="container">
    <div class="modal fade" id="Add" tabindex="-1" role="dialog"
         aria-labelledby="Login" aria-hidden="true">
        <div class="modal-dialog modal-sm-2">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h5 class="modal-title">Buy</h5>
                </div>

                <div class="modal-body">
                    <!-- The form is placed inside the body of modal -->
                    <form id="createForm" method="post" class="form-horizontal"
                          th:action="@{/buyProduct/${}}" action="#" enctype="multipart/form-data">

                        <div class="form-group">
                            <label class="col-xs-3 control-label">Type <span
                                    class="asteriskField"> * </span>
                            </label>
                            <div class="col-xs-5">
                                <input class="form-control" id="type" name="type"
                                       value="" required
                                       aria-required="true" minlength="3" maxlength="30"
                                       aria-describedby="name-format" placeholder="Enter a name"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-3 control-label">Description <span
                                    class="asteriskField"> * </span>
                            </label>
                            <div class="col-xs-5">
                                <input class="form-control" id="description" name="description"
                                       value="" required
                                       aria-required="true" minlength="3" maxlength="200"
                                       aria-describedby="name-format" placeholder="Enter a name"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-3 control-label">ExpectedResult <span
                                    class="asteriskField"> * </span>
                            </label>
                            <div class="col-xs-5">
                                <input class="form-control" id="expectedResult" name="expectedResult"
                                       value="" required
                                       aria-required="true" minlength="3" maxlength="200"
                                       aria-describedby="name-format" placeholder="Enter a name"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-xs-3 control-label">Upload image <span
                                    class="asteriskField"> * </span>
                                <h6 style="color: indianred;">Leave empty for auto generated one.<br>Accepting just
                                    ".png"</h6>
                            </label>
                            <div class="col-xs-5">
                                <input class="form-control" type="file" id="file" name="file" value=""
                                       placeholder="Select a file" accept=".png"/>
                            </div>
                        </div>

                        <div class="modal-footer">
                            <button type="submit" class="btn btn-primary">Add</button>
                            <button type="button" class="btn btn-default"
                                    data-dismiss="modal">Cancel
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>


<!-- Update form -->
<div class="container">
    <div class="modal fade" id="Update" tabindex="-1" role="dialog"
         aria-labelledby="Login" aria-hidden="true">


        <div class="modal-dialog modal-sm-2">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h5 class="modal-title">Update</h5>
                </div>

                <div class="modal-body">
                    <!-- The form is placed inside the body of modal -->
                    <form id="updateForm"
                          th:action="@{/update-responsibility-card}" action="#"
                          class="form-horizontal">
                        <input type="hidden" name="responsibilityCardId"
                               id="responsibilityCardIdUpdate" value=""/>
                        <div class="form-group">
                            <label class="col-xs-3 control-label">Type <span
                                    class="asteriskField"> * </span>
                            </label>
                            <div class="col-xs-5">
                                <input class="form-control" name="typeUpdate" id="typeUpdate"
                                       value="" required type="text"
                                       aria-required="true" aria-describedby="name-format"
                                       placeholder="Enter a number"/>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-xs-3 control-label">Description <span
                                    class="asteriskField"> * </span>
                            </label>
                            <div class="col-xs-5">
                                <input class="form-control" name="descriptionUpdate" id="descriptionUpdate"
                                       value="" required type="text"
                                       aria-required="true" aria-describedby="name-format"
                                       placeholder="Enter a number"/>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-xs-3 control-label">Expected result <span
                                    class="asteriskField"> * </span>
                            </label>
                            <div class="col-xs-5">
                                <input class="form-control" name="expectedResultUpdate" id="expectedResultUpdate"
                                       value="" required type="text"
                                       aria-required="true" aria-describedby="name-format"
                                       placeholder="Enter a number"/>
                            </div>
                        </div>

                        <div class="modal-footer">
                            <button type="submit" class="btn btn-primary">Add</button>
                            <button type="button" class="btn btn-default"
                                    data-dismiss="modal">Cancel
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>


<!-- Buy form -->
<div class="container">
    <div class="modal fade" id="Buy" tabindex="-1" role="dialog"
         aria-labelledby="Login" aria-hidden="true">


        <div class="modal-dialog modal-sm-2">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h5 class="modal-title">Buy</h5>
                </div>

                <div class="modal-body">
                    <!-- The form is placed inside the body of modal -->
                    <form id="buyForm"
                          th:action="@{/buyProduct/${product.id}}" action="#"
                          class="form-horizontal">
                        <input type="hidden" name="buyProduct"
                               id="buyProduct" value=""/>

                        <div class="modal-footer">
                            <button type="submit" class="btn btn-primary">Buy</button>
                            <button type="button" class="btn btn-default"
                                    data-dismiss="modal">Cancel
                            </button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>




<div class="container">
    <ul class="pager">
        <li><a th:href="@{/index}">&lt;&lt;&lt;Home</a></li>
        <!--     <li><a href="temp.html">All finished tasks</a></li> -->
    </ul>
</div>

<div>
    <footer class="footer-distributed">
        <div class="footer-left">

            <!--<a href="#"><img class="logo" th:src="@{/images/logo.png}"-->
            <!--height="100" width="100" /></a>-->

            <p class="footer-links footer-company-about">
                <a th:href="@{/index.html}">Home</a> ·
            </p>

            <p class="footer-company-about">Copyright &copy; 2018, Malina Alex. All
                rights reserved.</p>
        </div>

        <div class="footer-center">


            <div>
                <i class="fa fa-phone" style="width: 38px; height: 38px;"></i>
                <p class="footer-company-about">+373 69 69 91 31</p>
            </div>

            <div>
                <i class="fa fa-envelope" style="width: 38px; height: 38px;"></i>
                <p class="footer-company-about">
                    <a href="mailto:alexraspberryftw@gmail.com">alexraspberryftw@gmail.com</a>
                </p>
            </div>

        </div>

        <div class="footer-right">

            <p class="footer-company-about">
                <br /> Doing some things to become smarter in the IT sphere.

            </p>

            <div class="footer-icons">

                <a th:href="@{https://www.vk.com/1raspberry}"> <i
                        class="fa fa-facebook"></i>
                </a> <a href="#"><i class="fa fa-twitter"></i></a> <a href="#"><i
                    class="fa fa-linkedin"></i></a> <a href="#"><i class="fa fa-github"></i></a>

            </div>

        </div>

    </footer>
</div>
</body>
</html>